2022-12-01 19:38:43 UTC
52.4 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 5.15% (2.7 MB)
[#001] sha256:6c0781c0d981f1f16aa394f6456553f0a70b8972e12290e0c0d5e75c282ffe95 - 0.0% (1.21 KB)
[#002] sha256:0ca6998e4e4d019835cfd076c636bc6dc80a774ba8a88eecadb274cb811ce105 - 94.85% (49.7 MB)
[#003] sha256:899451e28fd2e04d5d1fabe3c61766bac5d37d67f59b8add187879e54d20772a - 0.0% (142 Bytes)
[#004] sha256:0aa13cbc8dc4d6943c4876904041f7de64aa3782a616e223352d357becbd417d - 0.0% (153 Bytes)
[#005] sha256:7a358a3be61c0a575f352bfdd8edef12a386985ea0632b6601c3d1dd927381ce - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /
2022-08-09 17:38:47 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-12-01 19:38:24 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.2
2022-12-01 19:38:25 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-12-01 19:38:26 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-12-01 19:38:27 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-12-01 19:38:34 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-12-01 19:38:35 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-12-01 19:38:36 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-12-01 19:38:37 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-12-01 19:38:38 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-12-01 19:38:39 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-12-01 19:38:40 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-12-01 19:38:42 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-12-01 19:38:42 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-12-01 19:38:43 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-12-01 19:19:44 UTC
53.6 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 5.03% (2.69 MB)
[#001] sha256:7d7737695e55ca701d9939ae6a5f2890c502bddb502dcbe416cff2486cc11564 - 0.0% (1.24 KB)
[#002] sha256:cf5fe520af524f5d64ed8c1810e20b4ba8b37816e4336ab511976285c5e2d2cb - 94.97% (50.9 MB)
[#003] sha256:72586b0850c739aef048198a64203f98bd15389c4a372afe3db3e21f5be07579 - 0.0% (175 Bytes)
[#004] sha256:877c43ad557c1baca4f88cd06d07bfc4d750f22aa1eb61d24c38fd8cdfdd2a4d - 0.0% (154 Bytes)
[#005] sha256:9abf1331fb3333c94ff6677f85321713d27314c3b04445ac3e3c69c1bb03415f - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /
2022-08-09 17:20:01 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-12-01 19:19:35 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.2
2022-12-01 19:19:35 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-12-01 19:19:35 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-12-01 19:19:36 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-12-01 19:19:42 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-12-01 19:19:43 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-12-01 19:19:43 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-12-01 19:19:43 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-12-01 19:19:44 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-12-01 19:19:44 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-12-01 19:19:44 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-12-01 19:19:44 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-12-01 19:19:44 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-12-01 19:19:44 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-12-01 18:49:32 UTC
51.1 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 4.91% (2.51 MB)
[#001] sha256:c2511d11b8fe1839cae8ccfeb7c5e082d86d1e24192958d74d452761039a6642 - 0.0% (1.21 KB)
[#002] sha256:8973f3ab39c612a6e9174442d090a76d7294b4dfa30ffe8cf34ceb936b5fb820 - 95.08% (48.6 MB)
[#003] sha256:5d341b9c6d36141489eb5b92ab3db9eb93726b704820617b7a2b240e9638e641 - 0.0% (143 Bytes)
[#004] sha256:3c4e61270ca8ae60ea4cf93bb3762e60f3749f85f26db134b620780155e6589f - 0.0% (153 Bytes)
[#005] sha256:b0f8d6cd42225eb09fed6d1f18ca65c976d3b12a5511a71dab76e23640548846 - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /
2022-11-10 20:49:36 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-12-01 18:49:21 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.2
2022-12-01 18:49:21 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-12-01 18:49:21 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-12-01 18:49:22 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-12-01 18:49:29 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-12-01 18:49:30 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-12-01 18:49:31 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-12-01 18:49:31 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-12-01 18:49:31 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-12-01 18:49:31 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-12-01 18:49:31 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-12-01 18:49:31 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-12-01 18:49:32 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-12-01 18:49:32 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-12-01 19:39:37 UTC
50.5 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 5.13% (2.59 MB)
[#001] sha256:c3aeb01e7d392f48f8f6bcfa931288ad4af14393d67850be85701fefaec20d6f - 0.0% (1.24 KB)
[#002] sha256:cc3bd7a1c773addd5306e4bb4aeed7a76add11bf9f8a6abfb57ee947db625e58 - 94.86% (47.9 MB)
[#003] sha256:845288ebf54046963be5c2eb2229153d5f74bcf3caf9c0f867d8ef967cb5238d - 0.0% (175 Bytes)
[#004] sha256:e06ad9b497362902a37cc18b3c8ef69678c7efc264dd60383f08ce312b35bd01 - 0.0% (154 Bytes)
[#005] sha256:a7ed8b868f544f1a016432923d87a3f0b1c37fd7c50a3b29e659a2054e535205 - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /
2022-11-10 20:39:46 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-12-01 19:39:29 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.14.2
2022-12-01 19:39:29 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.14.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-12-01 19:39:29 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-12-01 19:39:29 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-12-01 19:39:35 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-12-01 19:39:36 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-12-01 19:39:36 UTC|1 CONSUL_VERSION=1.14.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-12-01 19:39:36 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-12-01 19:39:36 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-12-01 19:39:36 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-12-01 19:39:36 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-12-01 19:39:37 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-12-01 19:39:37 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-12-01 19:39:37 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]